* PACKAGE  GTAXIS !" ե
***********************************************************************
      PROGRAM GTAXIS
*
#ifdef SYS_IBMS
      INCLUDE    (GTSINC)
      INCLUDE    (GZSIZE)
#else
#include         "gtsinc.F"
#include         "gzsize.F"
#endif
*
      CHARACTER  HHEAD ( NDC )*(NCC)
      CHARACTER  HHEADA( NDC )*(NCC)
      REAL       AXIS  ( IJKDIM )
      CHARACTER  HKIND        *(NCC)
*
      CHARACTER  HFILE( 1 ) *(NFILN)
      DATA       HFILE   / '$GTTMPDIR/gtool.out' /
      DATA       IFILE / 50 /
      DATA       JFILE / 60 /
*
      LOGICAL    X
      LOGICAL    Y
      LOGICAL    Z
      LOGICAL    XWGT
      LOGICAL    YWGT
      LOGICAL    ZWGT
      DATA       X, Y, Z, XWGT, YWGT, ZWGT / 6*.FALSE. /
      CHARACTER  OUT    *(NFILN)
      DATA       OUT    / '$GTTMPDIR/gtool.out' /
      LOGICAL    APND
      DATA       APND   / .FALSE. /
      LOGICAL    HELP
      DATA       HELP   / .FALSE. /
*
*     EXTERNAL   INTERP
*     
      NAMELIST  /OPTION/ X, Y, Z, XWGT, YWGT, ZWGT, OUT, APND,
     &                   HFILE, HELP
*
      CALL OPTARG ( 91, 'OPTION', 'HFILE', NOPT, NFILE )
      READ (91,OPTION,IOSTAT=IOS)
      CLOSE(91)
      IF ( IOS.NE.0 .OR. HELP ) THEN
         WRITE(6,OPTION)
         STOP
      ENDIF
*
      CALL GTOPEN
      CALL GTSIZE ( HHEADA, IJKDIM )
*
      CALL GURNTF ( HFILE( 1 ), OUT  , '$GTTMPDIR/gtool.in' )
      CALL GFROPN ( IFILE, HFILE( 1 ) )
      CALL GFOOPN ( JFILE,  OUT       , APND )
*
      CALL GUNENV( OUT,'.',.FALSE. )
      IL=LENC(OUT)
      WRITE (6,*) 'output='//OUT(1:IL)
*
      ID    = 0
      HKIND = 'LOC'
      IF      ( X .OR. XWGT ) THEN
         ID = 1
         IF ( XWGT ) HKIND = 'WGT'
      ELSE IF ( Y .OR. YWGT ) THEN
         ID = 2
         IF ( YWGT ) HKIND = 'WGT'
      ELSE IF ( Z .OR. ZWGT ) THEN
         ID = 3
         IF ( ZWGT ) HKIND = 'WGT'
      ENDIF
*
      CALL   GFRDHD
     O         ( HHEAD , IEOD  ,
     I           IFILE , 1       )
*
      IF ( IEOD .EQ. 0 ) THEN
*
         CALL GUQAXV
     I         ( HHEAD , ID    , HKIND ,
     O           HHEADA, AXIS  , IEOD  )
*
         IF ( IEOD .EQ. 0 ) THEN
            CALL  GFWRIT
     I         ( HHEADA, AXIS ,
     I           JFILE , 1     , 0       )
         ENDIF
*
      ENDIF
*
      STOP
      END
