*"\ ʒa֐̏ GTOOL3(GPASPS)
*
*" 91/01/17   
*
*
**********************************************************************
*"      << ʒa֐̏ >>
**********************************************************************
      SUBROUTINE GPASPS
     I         ( IMAX  , JMAX  , KMAX  , ER    ,
     O           PNM   , DPNM  , TRIGS , IFAX  ,
     O           NMO   , GW    , COSLAT,
     O           LMAX  , MMAX  , NMAX  , MINT  ,
     O           NMDIM , JMXHF ,
     W           QPNM  , QDPNM , QGW   , QSINLA          )
*
      INTEGER    IMAX
      INTEGER    JMAX
      REAL       ER                          !" na
*
      REAL       PNM   ( * )                 !" onm Wh
      REAL       DPNM  ( * )                 !" onm ʔ
      REAL       TRIGS ( * )                 !" Op֐\
      INTEGER    IFAX  ( * )                 !" IMAX ̈
*
      INTEGER    NMO   ( * )                 !" XyNg̓Y
      REAL       GW    ( * )                 !" KEX׏d
      REAL       COSLAT( * )                 !" cos(ܓx)
*
      REAL*8     QPNM  ( * )                 !" onm Wh
      REAL*8     QDPNM ( * )                 !" onm ʔ
      REAL*8     QGW   ( * )                 !" KEX׏d F{x
      REAL*8     QSINLA( * )                 !" sin(ܓx) ({x
*
      INTEGER    IMAX0 , JMAX0               !" Zbgl
      DATA       IMAX0 , JMAX0 / 0, 0 /
*
      INTEGER    IMAXD , JMAXD, KMAXD        !" ̈̑傫
      DATA       IMAXD , JMAXD, KMAXD / 0, 0, 0 /
      CHARACTER  HMSG *100
*
      IF ( ( IMAXD*JMAXD*KMAXD .NE. 0 )
     &             .AND.
     &     ( ( IMAX .GT. IMAXD ) .OR. ( JMAX .GT. JMAXD )
     &                           .OR. ( KMAX .GT. KMAXD ) ) ) THEN
*
         HMSG = 'INSUFFICIENT SPACE: IMAX= '
         NH = LENC( HMSG )
         WRITE ( HMSG(NH+1:NH+9), '(I4,1X,I4)' ) IMAX,IMAXD
         HMSG(NH+10:100) = ', JMAX= '
         NH = LENC( HMSG )
         WRITE ( HMSG(NH+1:NH+9), '(I4,1X,I4)' ) JMAX,JMAXD
         HMSG(NH+10:100) = ', KMAX= '
         NH = LENC( HMSG )
         WRITE ( HMSG(NH+1:NH+9), '(I4,1X,I4)' ) KMAX,KMAXD
*
         CALL MSGDMP('E', 'GPASPS', HMSG )
      ENDIF
*
*"         < 1. gFOp`ؒf̏ꍇ̂݁I >
*
      MMAX  = IMAX     / 3
      LMAX  = (JMAX*2) / 3
      NMAX  = MAX( MMAX, LMAX )
      MINT  = 1
      NML   = NMAX-LMAX
      IF ( MMAX .EQ. 0 ) THEN
         NMDIM = LMAX+1
      ELSE
         NMDIM = (MMAX/MINT+1)*(2*(NMAX+1)-LMAX)-NML*(NML+1)
      ENDIF
      JMXHF = JMAX/2+1
*
      IF ( ( IMAX .NE. IMAX0 ) .OR. ( JMAX .NE. JMAX0 ) ) THEN
*
         IMAX0 = IMAX
         JMAX0 = JMAX
*
*"         < 2. FFT̏ >
*
         IF ( IMAX .GE. 2 ) THEN
            CALL RFFTIM
     I            ( IMAX  ,
     O              TRIGS , IFAX )
         ENDIF
*
*"         < 3. Wh֐̌vZ >
*
         IF ( JMAX .GE. 2 ) THEN
*
            CALL GAUSS
     O         ( QSINLA , QGW   ,
     I           JMAX            )
*
            CALL SETPNM
     O         ( PNM   , DPNM  , NMO   ,
     I           QSINLA,
     D           JMAX  , MMAX  , LMAX  , NMAX  , MINT  ,
     D           NMDIM , JMXHF ,
     W           QPNM  , QDPNM                                  )
*
*"         < 4. KEX׏d >
*
            DO 4100 J = 1, JMAX
               GW    ( J ) = QGW( J )
               COSLAT( J ) = SQRT( 1.D0 - QSINLA(J)**2 )
 4100       CONTINUE
*
         ENDIF
*
      ENDIF
*
      RETURN
*=====================================================================
*"    << ʒa֐̈̑傫w >>
*=====================================================================
      ENTRY      GPASPW
     I         ( IMAXDW, JMAXDW, KMAXDW )
*
      IMAXD = IMAXDW
      JMAXD = JMAXDW
      KMAXD = KMAXDW
*
      END
